"use strict";

exports.__esModule = true;

exports["default"] = function (_ref) {
  var t = _ref.types;

  var aVisitor = {
    ObjectProperty: {
      exit: function exit(_ref2) {
        var node = _ref2.node;

        var key = node.key;
        if (!node.computed && t.isIdentifier(key) && !t.isValidIdentifier(key.name)) {
          // default: "bar" -> "default": "bar"
          node.key = t.stringLiteral(key.name);
        }
      }
    },

    MemberExpression: {
      exit: function exit(_ref3) {
        var node = _ref3.node;

        var prop = node.property;
        if (!node.computed && t.isIdentifier(prop) && !t.isValidIdentifier(prop.name)) {
          // foo.default -> foo["default"]
          node.property = t.stringLiteral(prop.name);
          node.computed = true;
        }
      }
    }
  };

  return {
    visitor: {
      Program: {
        exit: function exit(_ref4) {
          var node = _ref4.node;

          node.traverse(aVisitor);
        }
      }
    }
  };
};

module.exports = exports["default"];